# Tu Quoque - A Game for modern CASIO fx calculators
## Introduction

I have no idea what I will make in this game yet.

## Pre-requisites

You must have, available in your PATH :
- `make` and `python3` binaries ;
- the complete sh3eb-elf toolchain ;
- Lephenixnoir's wrapper (`g1a-wrapper`) ;
- Lephenixnoir's fxSDK's `fxconv` utility.

Also, if you have cloned this repository and haven't used the `--recursive`
option, you have to type the following command :

	git submodule update lib/gint

At the time I'm writing these lines, `gint` is not yet available to the public.
If this is still the case at your time, please ask him an access before typing
the previous command.

## Building

_Warning : It is not possible to build out of the source tree, if that's what_
_you were planning to do._

First of all, you should `./configure`. No building options are available for
now, but some may be in the future.

Now this is done, you can simply `make`. This will also make the `gint`
submodule, so you don't have to worry about that.

When this is done, `TUQUOQUE.g1a` will be available in the project root.

## Other useful information

Some other available `make` targets may interest you :
- `clean`: remove the object files ;
- `fclean`: clean everything (won't remove the directories) ;
- `re`: makes the previous rule and makes it all again (usually useful
  when you have reconfigured the project/modified vars) ;
- `clean-lib`, `fclean-lib`, `re-lib`: equivalents of the above rules, with
  library cleaning (useful for when a library submodule is updated) ;
- `make send`: Shorthand to send the addin to the calculator. Requires
  `usb-connector` to be available in the PATH and a `udev` rule to be setup
  to allow the user to communicate with the calculator.
