/* ************************************************************************** */
/*                                       _____           _                    */
/*  menus.h                             |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : TuQuoque                  | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/08 15:00:25                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#ifndef MAIN_MENUS_H
# define MAIN_MENUS_H

/**
 *	menu_t:
 *	The menu type.
 *
 *	For deeper explanations, see `src/main.c`.
 */

typedef void*(*menu_t)(void*);

/*
 *	An exhaustive list of all of the menus.
 *	They all have their own files, with the associated static functions.
 *	The main menu is the best :E
 */

void *main_menu(void *last);
void *credits(void *last);
void *select_level(void *last);
void *game(void *last);

#endif /* MAIN_MENUS_H */
