# Tu Quoque's Map Format
## Introduction

You should try playing the game a bit and looking at the initial maps in the
`maps` folder, it will help you understanding this document.

I really wanted a map format simple to edit, and not so complicated to use. So I
started using the "one symbol - one tile" at the beginning, as I only used plain
tiles and stuff, then I started drawing more complicated tiles like corners,
one-sided walls and co, and I also started running out of good symbols to
represent them. So I thought "what if the converter automatically chose what
tile to use for a type and a placement ?", and that's what I did.

The converter, which is a Python script (`tools/make-level-object.py`),
basically takes the map, makes some binary data out of it (in the format
given in `include/main/map.h`), and creates an object out of it so the linker
can find it and associate it to a symbol so the program can use it. The original
idea came from how the `gint` library manages images.

For more info, check out how `tools/make-level-object.py` is done. I tried
keeping it clear, but it's really not that easy.
